Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.threed.jpct
Class JOGLRenderer

    java.lang.Object
      com.threed.jpct.GLBase
          com.threed.jpct.AWTGLRenderer
              com.threed.jpct.JOGLRenderer

All Implemented Interfaces:
  IRenderer

public class JOGLRenderer
extends AWTGLRenderer

A JOGL based variant of the AWTGLRenderer. To use JOGL with jPCT, you have to remove LWJGL from the classpath, add JOGL and add the glfacade.jar that comes with jPCT. You can then enable a GLCanvas-renderer that uses JOGL's GLCanvas instead of LWJGL's AWTGLCanvas.
What you can't do, is switching renderers on the fly.

See Also:
  `AWTGLRenderer`

Field Summary

Fields inherited from interface com.threed.jpct.IRenderer
`MODE_LEGACY, MODE_OPENGL, RENDERER_OPENGL, RENDERER_SOFTWARE`

Method Summary
`static GLCapabilities` | `createPixelFormat(int bpp, int alpha, int depth, int stencil, int samples)`
`VideoMode[]` | `getAvailableVideoModes()` Get all available video modes.
`void` | `init(int x, int y, int cbpp, int zbpp, int samples)` Initialize the renderer.

Methods inherited from class com.threed.jpct.AWTGLRenderer
`dispose, drawPolygon, drawStrip, drawVertexArray, drawWireframe, execute, getLock, isInitialized, isPrewarmTextures, removeBuffer, setPaintListener, setPrewarmTextures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.threed.jpct.IRenderer
`isInitialized, setPaintListener`

Method Detail

### init

    public void init(int x,
                     int y,
                     int cbpp,
                     int zbpp,
                     int samples)

  Description copied from interface: `IRenderer`
  Initialize the renderer. This method is called by the FrameBuffer class and there should be no need to call it directly.

  Specified by:
    `init` in interface `IRenderer`
  Overrides:
    `init` in class `AWTGLRenderer`

### getAvailableVideoModes

    public VideoMode[] getAvailableVideoModes()

  Description copied from interface: `IRenderer`
  Get all available video modes. Will be called from the FrameBuffer class when calling getVideoModes(int). For the OpenGL renderer, the returned z-buffer value is NOT what the driver tells but simply the value from Config.glZBufferDepth. The reason for this is, that LWJGL (which is used for the OpenGL binding) doesn't return this value anymore since version 0.6.

### createPixelFormat

    public static GLCapabilities createPixelFormat(int bpp,
                                                   int alpha,
                                                   int depth,
                                                   int stencil,
                                                   int samples)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD